| CE Gobi SDK 2.7 GobiApi

- Main Page
- Modules
- Classes
- Files

Functions
Open Mobile Alliance Service

## Functions
IMPORTGOBI ULONG GOBICMAPI | SetOMADMStateCallback (tFNOMADMState pCallback)
IMPORTGOBI ULONG GOBICMAPI | SetOMADMAlertCallback (tFNOMADMAlert pCallback)
IMPORTGOBI ULONG GOBICMAPI | OMADMSendSelection (ULONG selection, USHORT sessionID)
IMPORTGOBI ULONG GOBICMAPI | OMADMGetFeatureSettings (ULONG *pbProvisioning, ULONG *pbPRLUpdate)
IMPORTGOBI ULONG GOBICMAPI | OMADMSetProvisioningFeature (ULONG bProvisioning)
IMPORTGOBI ULONG GOBICMAPI | OMADMSetPRLUpdateFeature (ULONG bPRLUpdate)
IMPORTGOBI ULONG GOBICMAPI | OMADMGetSessionInfo (ULONG *pSessionState, ULONG *pSessionType, ULONG *pFailureReason, BYTE *pRetryCount, WORD *pSessionPause, WORD *pTimeRemaining)
IMPORTGOBI ULONG GOBICMAPI | OMADMGetPendingNIA (ULONG *pSessionType, USHORT *pSessionID)
IMPORTGOBI ULONG GOBICMAPI | OMADMStartSession (ULONG sessionType)
IMPORTGOBI ULONG GOBICMAPI | OMADMCancelSession ()

## Detailed Description

## Function Documentation

IMPORTGOBI ULONG GOBICMAPI OMADMCancelSession | ( |  | ) |

This function cancels an ongoing OMA-DM session QMI_OMA_DM_CANCEL_SESSION_MSG 0x0021

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI OMADMGetFeatureSettings | ( | ULONG * | pbProvisioning,
|  | ULONG * | pbPRLUpdate
| ) |  |

This function returns the OMA-DM feature settings

Parameters

  pbProvisioning | [ O ] - Device provisioning service update enabled pbPRLUpdate [ O ] - PRL service update enabled

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI OMADMGetPendingNIA | ( | ULONG * | pSessionType,
|  | USHORT * | pSessionID
| ) |  |

This function returns information about the pending network initiated alert QMI_OMA_DM_GET_SESSION_INFO_MSG 0x0022

Parameters

  pSessionType | [ O ] - Type of session
  pSessionID | [ O ] - Unique session ID

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI OMADMGetSessionInfo | ( | ULONG * | pSessionState,
|  | ULONG * | pSessionType,
|  | ULONG * | pFailureReason,
|  | BYTE * | pRetryCount,
|  | WORD * | pSessionPause,
|  | WORD * | pTimeRemaining
| ) |  |

This function returns information related to the current (or previous if no session is active) OMA-DM session QMI_OMA_DM_GET_SESSION_INFO_MSG 0x0022

Parameters

  pSessionState | [ O ] - State of session
  pSessionType | [ O ] - Type of session
  pFailureReason | [ O ] - Session failure reason (when state indicates failure)
  pRetryCount | [ O ] - Session retry count (when state indicates retrying)
  pSessionPause | [ O ] - Session pause timer (when state indicates retrying)
  pTimeRemaining | [ O ] - Pause time remaining (when state indicates retrying)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI OMADMSendSelection | ( | ULONG | selection,
|  | USHORT | sessionID
| ) |  |

This function sends the specified OMA-DM selection for the current network initiated session

Parameters

  selection | [ I ] - Selection
  sessionID | [ I ] - Unique session ID

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI OMADMSetPRLUpdateFeature | ( | ULONG | bPRLUpdate | ) |

This function sets the OMA-DM PRL service update feature setting QMI_OMA_DM_SET_FEATURE_SETTING_MSG 0x0025

Parameters

  bPRLUpdate | [ I ] - PRL service update enabled

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI OMADMSetProvisioningFeature | ( | ULONG | bProvisioning | ) |

This function sets the OMA-DM device provisioning service update feature setting QMI_OMA_DM_SET_FEATURE_SETTING_MSG 0x0025

Parameters

  bProvisioning | [ I ] - Device provisioning service update enabled

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI OMADMStartSession | ( | ULONG | sessionType | ) |

This function starts an OMA-DM session QMI_OMA_DM_START_SESSION_MSG 0x0020

Parameters

  sessionType | [ I ] - Type of session to initiate

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetOMADMAlertCallback | ( | tFNOMADMAlert | pCallback | ) |

This function enables/disables the OMA-DM network initiated alert callback function QMI_OMA_SET_EVENT_REPORT_MSG 0x0001 QMI_OMA_SET_EVENT_REPORT_IND_MSG 0x0001

Parameters

  pCallback | [ I ] - Callback function (0 = disable)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetOMADMStateCallback | ( | tFNOMADMState | pCallback | ) |

This function enables/disables the OMA-DM state callback function QMI_OMA_SET_EVENT_REPORT_MSG 0x0001 QMI_OMA_SET_EVENT_REPORT_IND 0x0001

Parameters

  pCallback | [ I ] - Callback function (0 = disable)

Returns
  See GobiErrorCodes.h